The Postmaster Tools API is a RESTful API that provides programmatic access to email traffic metrics (like spam reports, delivery errors etc) otherwise available through the Gmail Postmaster Tools UI currently.
- REST Resource: v2beta.domainStats
- REST Resource: v2beta.domains
- REST Resource: v2beta.domains.domainStats
- REST Resource: v2beta.domains.users
Service: gmailpostmastertools.googleapis.com
To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.
Discovery document
A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:
Service endpoint
A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:
https://gmailpostmastertools.googleapis.com
REST Resource: v2beta.domainStats
| Methods | |
|---|---|
batchQuery |
POST /v2beta/domainStats:batchQuery Executes a batch of QueryDomainStats requests for multiple domains. |
REST Resource: v2beta.domains
| Methods | |
|---|---|
create |
POST /v2beta/domains Adds a domain to the user's account. |
delete |
DELETE /v2beta/{name=domains/*} Deletes a domain from the user's account. |
get |
GET /v2beta/{name=domains/*} Retrieves detailed information about a domain registered by you. |
getComplianceStatus |
GET /v2beta/{name=domains/*/complianceStatus} Retrieves the compliance status for a given domain. |
getVerificationToken |
GET /v2beta/{name=domains/*/verificationToken} Gets a verification token used for verifying a user's ownership over a domain. |
list |
GET /v2beta/domains Retrieves a list of all domains registered by you, along with their corresponding metadata. |
verify |
POST /v2beta/{name=domains/*}:verify Verifies a user's ownership of a domain at the DNS level. |
REST Resource: v2beta.domains.domainStats
| Methods | |
|---|---|
query |
POST /v2beta/{parent=domains/*}/domainStats:query Retrieves a list of domain statistics for a given domain and time period. |
REST Resource: v2beta.domains.users
| Methods | |
|---|---|
create |
POST /v2beta/{parent=domains/*}/users Creates a user, who has access to a domain. |
delete |
DELETE /v2beta/{name=domains/*/users/*} Deletes a user from a domain. |
get |
GET /v2beta/{name=domains/*/users/*} Retrieves detailed information about a user that has access to a domain. |
list |
GET /v2beta/{parent=domains/*}/users Lists the users that have access to a domain. |
patch |
PATCH /v2beta/{user.name=domains/*/users/*} Updates a user for a domain. |